// Jitter offset from Chocapic13
const vec2 offSetsTAA[8] = vec2[8](
    vec2(0.125, -0.375),
    vec2(-0.125, 0.375),
    vec2(0.625, 0.125),
    vec2(0.375, -0.625),
    vec2(-0.625, 0.625),
    vec2(-0.875, -0.125),
    vec2(0.375, -0.875),
    vec2(0.875, 0.875)
);

vec2 jitterPos(float posW) {
    // Normalize the frame index to the range [0, 1)
    float frameIndex = float(frameMod) / 8.0;

    // Calculate the jitter offset based on the frame index
    vec2 jitterOffset = offSetsTAA[int(frameIndex * 8.0)] * vec2(pixelWidth, pixelHeight) * posW;

    return jitterOffset;
}
